if flags.obshivka then
  speciale_action(2,obj.pruzhyna_10_11.id)
  speciale_action(2,4)
  set_visible_object(3,false)
  set_visible_object(5,false)
end

function gameinput (sender,obj_id,attachedID)
  MiniInterfaceHandler(sender, obj_id,attachedID);
  sendersProcessing(sender,obj_id,attachedID)
  if wrongItemWarning(sender, obj_id, attachedID, "nozh_7_1","mech_20_0") then
    return
  end
  if sender==16 then
    if obj_id>=11 and obj_id<=13 then
      speciale_action(2,obj_id,true,1.2)
      speciale_action(2,obj_id+1,true,1.5)
    return;end;
    if obj_id==14 then
    speciale_action(2,14,true,1.3)
    speciale_action(2,4,true,1.3)
    speciale_action(2,obj.pruzhyna_10_11.id,true,1.3)
    StartTimer(200,2,"unBlock_Show_Cur")
    return;end;
  return;end;
  if sender==1 then
    if obj_id == 5 then
      if obj.mech_20_0 and attachedID == obj.mech_20_0.id then
        CreatePlashechka("561")
      return;end;
      if obj.nozh_7_1 and attachedID == obj.nozh_7_1.id then
        speciale_action(2,5,true,0.1)
        Block_Show_Cur(true)
        speciale_action(2,11,true,2)
      --  SetAlfa(1,0.01,1,0.5,"frame1")
        playeffect("nog")
        removeFromMouse()
        UnStoreObj(obj.nozh_7_1.id)
        flags.obshivka = true
      else
        CreatePlashechka("575","he")
      end
    end
    if obj_id == obj.pruzhyna_10_11.id then
      neighbors.DetskayaStul.lock = true
      StoreObj(obj.pruzhyna_10_11.id);
    end;
  end
  if sender == 26 then
  --  CloseSatelite()
  end
end


function frame1()
  StartTravel(1,1,nil,nil,{"InstantiationOfLine",2,300,300,530,320,1,false},"frame2")
end

function frame2()
  StartTimer(200,1.1,"unBlock_Show_Cur")
  
  -- speciale_action(2,4,true,1)
  -- speciale_action(2,3,true,1)
end